index

Varkon MBS Programmers manual

# act_jobdir - Function

## Description

Returns the path to the current job directory and adds a terminating "/" (UNIX) or "\" (Microsoft windows).

## Syntax

      path:=act_jobdir();

      string path;

## Principal parameters

None.

## Optional parameters

None.

## Return value

A string containing the path to the current job directory.

## Comments

A terminating slash is added to make it easier to add a filename to the end of of the path in a way that is portable between UNIX and Windows. The following line for example...

      path:=act_jobdir() + "myfile";

creates a path to "myfile" on the current job directory.

See also: act_jobnam.

Varkon version 1.19C svn# 97